Loading...
Searching...
No Matches
lcm_recv_buf_t Struct Reference
C API Reference » lcm_t

## Public Attributes

void * | data
uint32_t | data_size
int64_t | recv_utime
lcm_t * | lcm

## Detailed Description

Received messages are passed to user programs using this data structure. Each instance represents one message.

## Member Data Documentation

## data

void* lcm_recv_buf_t::data

the data received (raw bytes)

## data_size

uint32_t lcm_recv_buf_t::data_size

the length of the data received (in bytes)

## lcm

lcm_t* lcm_recv_buf_t::lcm

pointer to the lcm_t struct that owns this buffer

## recv_utime

int64_t lcm_recv_buf_t::recv_utime

timestamp (micrseconds since the epoch) at which the message was received.

The documentation for this struct was generated from the following file:

- lcm.h